View Issue Details

IDProjectCategoryView StatusLast Update
0000655Kali Linux[All Projects] Queued Tool Additionpublic2021-05-18 11:02
Reportermidnite_runr Assigned Todookie  
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version1.0.6 
Summary0000655: Add the Backdoor Factory to the tool repository [Please]
DescriptionThe Backdoor Factory, a python script, injects shellcode into win32/64 PE files, to continue normal file execution (if the shellcode supports it), by patching the exe/dll directly.

https://github.com/secretsquirrel/the-backdoor-factory

Video: http://www.youtube.com/watch?v=jXLb2RNX5xs

Injection Module Demo: http://www.youtube.com/watch?v=04aJAex2o3U

Slides: http://www.slideshare.net/midnite_runr/patching-windows-executables-with-the-backdoor-factory

Activities

midnite_runr

2013-10-18 18:56

reporter   ~0001028

Is the tool useful / functional in a Penetration Testing environment?
Yes. It can patch/inject user selected shellcode into code caves of a win32/64 PE binary.

Does the tool contain functionality of other existing tools?
No, it is more advanced that other tools that have similar functionality. It does it better than let's say metasploit current patching capabilities.

Does the licensing of the tool allow for free re-distribution?
Yes. GPLv3.

How much resources does the tool require?
Very little.

Will it work in a “standard” environment?
Yes, all it needs is python27.

dookie

2013-10-21 19:05

reporter   ~0001036

Added in backdoor-factory_1.0+git20131021-1kali0.

FYI, the tool has been renamed to backdoor-factory.

Thanks for the suggestion!

Issue History

Date Modified Username Field Change
2013-10-18 17:48 midnite_runr New Issue
2013-10-18 18:56 midnite_runr Note Added: 0001028
2013-10-21 17:20 dookie Assigned To => dookie
2013-10-21 17:20 dookie Status new => assigned
2013-10-21 19:05 dookie Note Added: 0001036
2013-10-21 19:05 dookie Status assigned => resolved
2013-10-21 19:05 dookie Fixed in Version => 1.0.6
2013-10-21 19:05 dookie Resolution open => fixed
2013-12-06 16:24 Lancha Issue cloned: 0000738
2021-05-18 11:02 g0tmi1k Category New Tool Requests => Queued Tool Addition